package com.ym.mec.biz.service;

import com.ym.mec.biz.dal.entity.ChargeTypeOrganizationFee;
import com.ym.mec.common.service.BaseService;

public interface ChargeTypeOrganizationFeeService extends BaseService<Integer, ChargeTypeOrganizationFee> {

    /**
     * 根据收费类型，分部获取默认费用
     * @param chargeTypeId
     * @param organId
     * @return
     */
    ChargeTypeOrganizationFee findByOrganId(Integer chargeTypeId, Integer organId);

    void add(ChargeTypeOrganizationFee chargeTypeOrganizationFee);

    void updateFee(ChargeTypeOrganizationFee chargeTypeOrganizationFee);
}
